ponymix(1)

NAME
ponymix - cli volume control for PulseAudio

SYNOPSIS
ponymix [options] operation [args]

DESCRIPTION
ponymix is a command line volume control for PulseAudio, letting you perform many operations on both device and application sinks and source.

OPTIONS

-c, --card CARD
    Specify a card. By default, the card associated with the specified device is used. Cards can be specified by name or numeric index.

-d, --device DEVICE
    Specify a device other than the default. Devices can be specified by name or numeric index.

--max-volume VALUE
    Override the maximum volume ponymix will allow. This is baked in to be 100 using the increase and decrease methods, and 150 via set-volume.

-N, --notify
    Create a libnotify notification for volume change events instead of printing the new volume to standard output. Requires compile time support for libnotify. Without support, this flag is a no-op.

-t, --devtype TYPE
    Specify a device type to examine, usually in conjunction with the --device flag. TYPE must be one of sink, source, sink-input, or source-output.

--sink, --output
    Aliases to --devtype sink.

--source, --input
    Aliases to --devtype source.

--source-output
    Alias to --devtype source-output.

--sink-input
    Alias to --devtype sink-input.

--short
    Generate output for list commands in a parseable format. This only applies to the list, list-cards, and list-profiles commands.

OPERATIONS

  Generic Commands

help
    Display the usage and exit.

  Device Commands
These commands are specific to devices. Not all devices will support all the listed commands.

list
    List all available devices. This can be filtered using the --devtype flag.

defaults
    Display the default sink and source. This is the default command if none is specified.

set-default
    Set a sink or source by name or numeric index as the default. The new default should be passed using the --device flag.

get-volume
    Get the volume of a device.

set-volume VALUE
    Set the volume of a device. VALUE is an integer between 0 and 150.

get-balance
    Get the balance of a device.

set-balance VALUE
    Set the balance of a device. VALUE is an integer from -100 (all left) to 100 (all right).

adj-balance VALUE
    Adjust balance by the integer increment VALUE. The resulting balance has the same bounds as those set by set-balance. The end-of-options indicator (--) is required when passing a negative increment.

increase VALUE
    Increase the volume percentage of a device or application by integer VALUE. Increasing the volume in this way is capped at 100.

decrease VALUE
    Decrease the volume percentage of a device by the integer VALUE. Decreasing the volume in this way is capped at 0.

mute, unmute, toggle
    Mute, unmute, or toggle the mute status of a device.

is-muted
    Check if a device is muted. ponymix will exit zero if muted, and non-zero otherwise.

is-available
    Check if a device is available. This usually applies to headphone jacks, but not all devices will support this check. ponymix will exit zero if the port is definitively available, and non-zero if unavailable or unknown.

  Application Commands
These commands are specific to devices which refer to streams of applications. For these commands, sink and source are synonymous with sink-input and source-output, respectively.

move DEVICE
    Move a device's stream to the given device, specified using the --devtype and --device flags. Note that a source output can only be moved to another source, and a sink input can only be moved to another sink. The type of the target device will be inferred using this logic.

kill
    Kill a device's stream, specified using the --device and --devtype flags. This only applies to sink-inputs and source-outputs.

  Card Commands
These commands are specific to cards.

list-cards
    List all available cards.

list-profiles
    List profiles for a card.

set-profile
    Set the specified profile for a card.

AUTHORS
Dave Reisner <dreisner@archlinux.org>
Simon Gomizelj <simongmzlj@gmail.com>

SEE ALSO
pulseaudio(1)